<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright Š 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: eXtreme_warstats_panel.php
| Author: extreme-fusion crew | modyfied by EuGeN
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."eXtreme_warstats_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."eXtreme_warstats_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."eXtreme_warstats_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."eXtreme_warstats_panel/locale/English.php";
}

openside($locale['EWS300']);
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'>";
$result = dbquery("SELECT * FROM ".DB_INFUSION_TABLE." ORDER BY warstats_id DESC LIMIT 0,5");
if (dbrows($result) != 0) {
	while($data = dbarray($result)) {
		$tagklanu = trimlink($data['warstats_tag'], 17);
		echo "<tr><td width='70%' class='small'><img src='".THEME."images/bullet.gif'> <img src='".IMAGES."flagi/".$data['warstats_kraj'].".gif'> <a href='".INFUSIONS."eXtreme_warstats_panel/eXtreme_warstats.php?detale_id=".$data['warstats_id']."' class='side' title='".$tagklanu."'><b>".trimlink($tagklanu,13)."</b></a></td>\n";
		$punkty_klanu = $data['warstats_punkty11'] + $data['warstats_punkty21'];
		$punkty_przeciwnika = $data['warstats_punkty12'] + $data['warstats_punkty22'];
		$kolor_wygrany	= "#008000";
		$kolor_remisu = "#0000FF";
		$kolor_przegrany = "#FF0000";
		if($punkty_klanu > $punkty_przeciwnika) {
			$kolor = "$kolor_wygrany";
		} elseif($punkty_klanu < $punkty_przeciwnika) {
			$kolor = "$kolor_przegrany";
		} elseif($punkty_klanu == $punkty_przeciwnika) {
			$kolor = "$kolor_remisu";
		}
		echo "<td align='center' width='30%' class='small'><b><font color=$kolor>$punkty_klanu:$punkty_przeciwnika</font></b></td></tr>";
	}
} else {
	echo "<tr><td><center>".$locale['EWS305']."</center></td></tr>\n";
}
echo "<tr><td colspan='2' align='right' class='small'><a href='".INFUSIONS."eXtreme_warstats_panel/eXtreme_warstats.php' class='side'>
<b>".$locale['EWS304']."</b></a></td></tr></table>";
closeside();
?>
